osmo_wqueue Struct Reference
Osmocom msgb write queues

`#include <write_queue.h>`

## Data Fields

struct osmo_fd | bfd
| osmocom file descriptor
unsigned int | max_length
| maximum length of write queue
unsigned int | current_length
| current length of write queue
struct llist_head | msg_queue
| actual linked list implementing the queue
int(* | read_cb )(struct osmo_fd *fd)
| call-back in case qeueue is readable
int(* | write_cb )(struct osmo_fd *fd, struct msgb *msg)
| call-back in case qeueue is writable
int(* | except_cb )(struct osmo_fd *fd)
| call-back in case qeueue has exceptions

## Detailed Description

write queue instance

The documentation for this struct was generated from the following file:

- include/osmocom/core/write_queue.h